TaglibFactory.ClasspathMetaInfTldSource (FreeMarker 2.3.23 API)
Date: 2015-07-05

freemarker.ext.jsp

## Class TaglibFactory.ClasspathMetaInfTldSource

- java.lang.Object
- - freemarker.ext.jsp.TaglibFactory.MetaInfTldSource
  - - freemarker.ext.jsp.TaglibFactory.ClasspathMetaInfTldSource

- Enclosing class:
    TaglibFactory

      public static final class TaglibFactory.ClasspathMetaInfTldSource
      extends TaglibFactory.MetaInfTldSource

  To search TLD-s under `META-INF/**``/*.tld` inside classpath root containers, that is, in directories and jar-s that are in the classpath (or are visible for the class loader otherwise). It will only search inside those roots whose URL matches the pattern specified in the constructor. It correctly handles when multiple roots contain a TLD with the same name (typically, `META-INF/taglib.tld`), that is, those TLD-s won't shadow each other, all of them will be loaded independently.

  Note that this TLD discovery mechanism is not part of the JSP specification.

  Since:
    2.3.22

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClasspathMetaInfTldSource(Pattern rootContainerPattern)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Pattern` | `getRootContainerPattern()` See constructor argument: `#ClasspathMetaInfTldSource(Pattern)`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClasspathMetaInfTldSource

          public ClasspathMetaInfTldSource(Pattern rootContainerPattern)

      Parameters:
        `rootContainerPattern` - The pattern against which the classpath root container URL-s will be matched. For example, to only search in jar-s whose name contains "taglib", the patter should be `".*taglib\.jar$"`. To search everywhere, the pattern should be `".*"`. The pattern need to match the whole URL, not just part of it.

  - ### Method Detail

    - #### getRootContainerPattern

          public Pattern getRootContainerPattern()

      See constructor argument: `#ClasspathMetaInfTldSource(Pattern)`.